Subject: Re: bug#65283: 29.1; package-vc-install fails to install package "ement" because some dependencies installed by it are omitted from load-path

From: Philip Kaludercic <[email-masked]>
Date: Mon, 14 Aug 2023 08:13:18 +0000

Adam Porter <[email-masked]> writes:

> Hi,
>
> Wanting to test whether package-vc-install in Emacs 29.1 is now a
> suitable replacement for Quelpa for installing my Ement.el package from
> git, I started an instance of Emacs 29.1 in a clean configuration and
> evaluated:
>
>   (package-vc-install "https://github.com/alphapapa/ement.el")
>
> It seemed to proceed, installing Ement's dependencies, but when it began
> to compile Ement itself, it gave errors about not being able to find one
> of the dependencies, taxy-magit-section:

Did the installation actually fail, or were these warnings just printed?
In my case, I got a few error messages as well, but ement was available
after the command had finished.

> I've no explanation for why it would be omitted wile other
> dependencies installed by the same command were added correctly.
>
> My only guess is that it could be that package-vc is not correctly
> handling the fact that "taxy-magit-section" is maintained in the same
> git repository as "taxy", in a separate branch.  GNU ELPA handles this
> correctly, so it seems that package-vc should as well.

That shouldn't make a difference, since dependencies for VC packages are
downloaded just like for regular packages.